version: "3.9"

services:
  web:
    image: nginx:latest
    ports:
      - "8080:80"
    volumes:
      - ./code:/code
      - ./site.conf:/etc/nginx/conf.d/site.conf
    links:
      - php

  php:
    image: php:7-fpm
    volumes:
      - ./code:/code

  client:
    build:
      dockerfile: Dockerfile-client
    ports:
      - "9900:9900"
    volumes:
      - .:/usr/src/app
